%define module_name Algorithm-QuadTree-XS
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Algorithm/QuadTree.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Pod.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: XS backend for Algorithm::QuadTree
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/B/BR/BRTASTIC/%{module_name}-%{version}.tar.gz

%description
This distribution contains XS implementation of quadtrees.

This implementation is compatible with `Algorithm::QuadTree::PP'. Benchmarks
on author's machine show it runs at least five times faster (depending on the
tree depth).

Beta quality: while this module works well in general cases, it may also
contain errors common to C code like memory leaks or access violations. Please
do report if you encounter any problems.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes LICENSE README.md
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.05-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.04-alt2
- rebuild with perl 5.38

* Wed Dec 14 2022 Igor Vlasenko <viy@altlinux.org> 0.04-alt1
- updated by package builder

* Sun Jun 05 2022 Igor Vlasenko <viy@altlinux.org> 0.03-alt1
- updated by package builder

* Wed Jun 01 2022 Igor Vlasenko <viy@altlinux.org> 0.02-alt1
- initial import by package builder

